UserApi
All URIs are relative to http://admin.alertsense.com/api
| Method | HTTP request | Description |
|---|---|---|
| getAlertsSentV3 | GET /v3/user/alerts/sent |
getAlertsSentV3
PagedAlertSettingsResponse getAlertsSentV3(after, before, alertCompletion, alertType, facilityName, hidden, incident, messagepriority, page, pageSize, sort, subject, from)
Returns a paged list of the alerts sent by the current user.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| after | Date | Filter alerts by date sent. | [optional] [default to null] |
| before | Date | Filter alerts by date sent. | [optional] [default to null] |
| alertCompletion | List | Filter alerts sent by the completion status of the alert. | [optional] [default to null] [enum: Sent, Processing, Failed] |
| alertType | String | Filter alerts by type. | [optional] [default to null] [enum: Default, Poll, Conference] |
| facilityName | String | Filter alerts by facility name. | [optional] [default to null] |
| hidden | Boolean | Filter alerts by visibility. | [optional] [default to null] |
| incident | String | Filter alerts by incident name. | [optional] [default to null] |
| messagepriority | String | Filter alerts by priority. | [optional] [default to null] [enum: Emergency, NonEmergency] |
| page | Integer | The page number of items to return. (1 by default) | [optional] [default to 1] |
| pageSize | Integer | The desired number of items per page. (25 by default) | [optional] [default to 25] |
| sort | String | A comma seperated list of properties to order by. Properties preceded by a '-' will be ordered descending. (e.g. ?sort=lastName,firstName,-responseTime). Property names are case insensitive. | [optional] [default to null] |
| subject | String | Filter alerts by subject. | [optional] [default to null] |
| from | String | Filter alerts by from value. | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json